<!--
*************************************************************************
* (C) Copyright 1997-98 Canon Information Systems                       *
* (C) Copyright 1997-98 Canon Inc.                                      *
*************************************************************************
-->

<discovery xmlns="urn:cissnmpdiscovery">
	
	<refreshRate>60</refreshRate>
	<timeout>8</timeout>
	<methodList onlyMatching="true">
		<method mibType="Canon MIB"> 
			<devTypeOID>.1.3.6.1.4.1.1602.1.1.1.1.0</devTypeOID>
			<devNameOID>.1.3.6.1.4.1.1602.1.1.1.2.0</devNameOID>
			<macAddrOID>.1.3.6.1.2.1.2.2.1.6.1</macAddrOID>
			<sysDescOID>.1.3.6.1.2.1.1.1.0</sysDescOID>
			<deviceList>

				<device name="Canon LASER SHOT LBP-430" enum="1">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-430</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-450" enum="2">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-450</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-470" enum="3">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-470</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-720" enum="4">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-720</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-730" enum="5">
					<matchingDevTypeStrs>
						<devTypeStr>LASERSHOT LBP-730</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-740" enum="6">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-740</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-750" enum="7">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-750</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-830" enum="8">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-830</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-840" enum="9">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-840</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-850" enum="10">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-850</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-870" enum="11">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-870</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-880" enum="12">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-880</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-910" enum="13">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-910</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-930" enum="14">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-930</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-930EX" enum="15">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-930EX</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-950" enum="16">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-950</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1310" enum="17">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1310</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1420" enum="18">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1420</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1510" enum="19">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1510</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1610" enum="20">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1610</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1620" enum="21">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1620</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1710" enum="22">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1710</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1810" enum="23">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1810</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1820" enum="24">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1820</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-1910" enum="25">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-1910</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2030" enum="26">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2040" enum="27">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2040</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2050" enum="28">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2050</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2160" enum="29">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2160</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2200" enum="30">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2200</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2260" enum="31">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2260</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2300" enum="32">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2300</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2360" enum="33">
					<matchingDevTypeStrs>
						<devTypeStr>COLOR LASER SHOT LBP-2360</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2510" enum="34">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-2510</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2710" enum="35">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-2710</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LASER SHOT LBP-2810" enum="36">
					<matchingDevTypeStrs>
						<devTypeStr>LASER SHOT LBP-2810</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon CP660 LIPS-A1" enum="37">
					<matchingDevTypeStrs>
						<devTypeStr>CP660 LIPS-A1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon CP660 LIPS-B1" enum="38">
					<matchingDevTypeStrs>
						<devTypeStr>CP660 LIPS-B1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon CP680 LIPS-B1" enum="39">
					<matchingDevTypeStrs>
						<devTypeStr>CP680 LIPS-B1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon CP680 LIPS-C1" enum="40">
					<matchingDevTypeStrs>
						<devTypeStr>CP680 LIPS-C1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LP3000/NTTFAX D-60" enum="41">
					<matchingDevTypeStrs>
						<devTypeStr>LP3000/NTTFAX D-60</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MEDIO LIPS B1" enum="42">
					<matchingDevTypeStrs>
						<devTypeStr>MEDIO LIPS-B1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MEDIO LIPS-D1" enum="43">
					<matchingDevTypeStrs>
						<devTypeStr>MEDIO LIPS-D1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MEDIO LIPS-E1" enum="44">
					<matchingDevTypeStrs>
						<devTypeStr>MEDIO LIPS-E1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon GP405 LIPS-D2" enum="45">
					<matchingDevTypeStrs>
						<devTypeStr>GP405 LIPS-D2</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR105-E LIPS" enum="46">
					<matchingDevTypeStrs>
						<devTypeStr>iR105</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR1600-2000 LIPS" enum="47">
					<matchingDevTypeStrs>
						<devTypeStr>iR1600</devTypeStr>
						<devTypeStr>iR2000</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2200-3300 LIPS" enum="48">
					<matchingDevTypeStrs>
						<devTypeStr>iR2200</devTypeStr>
						<devTypeStr>iR2800</devTypeStr>
						<devTypeStr>iR3300</devTypeStr>
						<devTypeStr>iR2200i</devTypeStr>
						<devTypeStr>iR2800i</devTypeStr>
						<devTypeStr>iR3300i</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3250" enum="49">
					<matchingDevTypeStrs>
						<devTypeStr>iR3250</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5000-6000" enum="50">
					<matchingDevTypeStrs>
						<devTypeStr>iR5000-6000</devTypeStr>
						<devTypeStr>iR5000</devTypeStr>
						<devTypeStr>iR6000</devTypeStr>
						<devTypeStr>iR5000i</devTypeStr>
						<devTypeStr>iR6000i</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR7200-E LIPS" enum="51">
					<matchingDevTypeStrs>
						<devTypeStr>iR7200</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR8500-E LIPS" enum="52">
					<matchingDevTypeStrs>
						<devTypeStr>iR8500</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5150/iR6050 LIPS" enum="53">
					<matchingDevTypeStrs>
						<devTypeStr>iR5150i</devTypeStr>
						<devTypeStr>iR6050i</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3200 LIPS" enum="54">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3200</devTypeStr>
					</matchingDevTypeStrs>
				</device>

			</deviceList>
		</method>
	</methodList>
</discovery>
